> ## Documentation Index
> Fetch the complete documentation index at: https://platform.stepfun.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List models

Shows all available models, including creation time and owner.

## Endpoint

`GET https://api.stepfun.ai/v1/models`

## Request parameters

None.

## Response

Returns a list of [Model objects](/en/api-reference/models/object).

## Example

<Tabs>
  <Tab title="python">
    ```python theme={null}
    from openai import OpenAI

    client = OpenAI(api_key="STEP_API_KEY", base_url="https://api.stepfun.ai/v1")

    print(client.models.list())
    ```
  </Tab>

  <Tab title="js">
    ```js theme={null}
    import OpenAI from "openai";

    const openai = new OpenAI({
        apiKey: "STEP_API_KEY",
        baseURL: "https://api.stepfun.ai/v1"
    });

    async function main() {
        const list = await openai.models.list();

        for await (const model of list) {
            console.log(model);
        }
    }

    main();
    ```
  </Tab>

  <Tab title="curl">
    ```bash theme={null}
    curl https://api.stepfun.ai/v1/models \
      -H "Authorization: Bearer $STEP_API_KEY"
    ```
  </Tab>
</Tabs>

```json filename="Response" theme={null}
{
  "object": "list",
  "data": [
    {
      "id": "step-tts-2",
      "object": "model",
      "created": 1720080000,
      "owned_by": "stepai"
    }
  ]
}
```
